0

I am using the LAMP stack, Ubuntu 16.04 LTS version.

I installed WordPress and am trying to install a theme which I have in a .zip file

When I try to install the uploaded theme (where WP clearly says I can upload a .zip file if I have it), I keep getting the following error

"Are you sure you want to do this?

Please try again."

If I try again, the same story repeats.

Is there any way to overcome this issue. I have to be able to install this particular theme on //localhost.

www-data has privileges to create and delete on all sub directories in /var/www/html.

1

The directory /wp-content/ of your local installations needs permission to create directory. It is necessary to upload the package and unpack.

rights

Maybe this should helps, if the user is www-data.

chown -R :www-data /var/www/html/wordpress/wp-content/uploads

chown -R :www-data /var/www/html/wordpress/wp-content/upgrades

Or full access to the wp-content directory sudo chmod -R 777 wp-content/

php.ini

Also maybe the php.ini have not the right values to upload the package. Maybe you should try it with a small package. Or you change the php.ini of the LAMP, like the follow entries.

max_execution_time = 180
max_input_time = 600
post_max_size = 128M
upload_max_filesize = 256M

helpful link

At least, a link to a helpful thread.

  • I set all the required permissions before installing WP. – moonstar Jan 4 '17 at 10:04
  • Maybe you should enhance your question with this information, which rights have the directories, like wp-content. – bueltge Jan 4 '17 at 10:06
  • All of them do. I set privileges to /var/www/html and all sub directories. – moonstar Jan 4 '17 at 10:07
  • Maybe the php.ini have not the right values, see my edit above. – bueltge Jan 4 '17 at 10:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.